export declare const EcanModal: import('../../utils/withInstall').SFCWithInstall<import("vue").DefineComponent<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    title: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    componentList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    fullModal: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    originalWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    originalHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    destroyOnClose: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    position: {
        type?: import("vue").PropType<import("./props").ModalPosition>;
        default?: import("./props").ModalPosition;
    };
    closeBtnColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowCloseBtn: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    borderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    boxShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    allComponentList?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    requestList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    parentIframeId: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    banScale: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
}, {
    modalRef: import("vue").Ref<HTMLElement>;
    containStyle: import("vue").Ref<{}>;
    contentStyle: import("vue").Ref<{}>;
    getContainer: () => HTMLElement;
    modalStyle: import("vue").ComputedRef<{
        verticalAlign: string;
    }>;
    modalWith: import("vue").Ref<string>;
    isFullModal: import("vue").ComputedRef<boolean>;
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    visible: import("vue").Ref<boolean>;
    showModal: () => void;
    onOk: () => void;
    onCancel: () => void;
    isFullWidth: import("vue").ComputedRef<boolean>;
    wrapClassName: import("vue").ComputedRef<string>;
    ready: import("vue").Ref<boolean>;
    usedComponentList: import("vue").ComputedRef<any>;
    isMobile: boolean;
    readyIds: any;
    hasOwn: any;
    onComponentReady: (id: string) => void;
    formatTitle: import("vue").Ref<string>;
    requestLoaded: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    title: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    componentList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    fullModal: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    originalWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    originalHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    destroyOnClose: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    position: {
        type?: import("vue").PropType<import("./props").ModalPosition>;
        default?: import("./props").ModalPosition;
    };
    closeBtnColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowCloseBtn: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    borderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    boxShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    allComponentList?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    requestList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    parentIframeId: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    banScale: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
}>>, {}>> & Record<string, any>;
export default EcanModal;
export * from './props';
